Query User Wallet Balance (USER_DATA)
API Description
Query User Wallet Balance
HTTP Request
GET /sapi/v1/asset/wallet/balance
Request Weight(IP)
60
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| quoteAsset | STRING | NO | USDT, ETH, USDC, BNB, etc. default BTC |
| needBalanceDetail | BOOLEAN | NO | Whether to return the per-asset balance detail for each wallet. Default false. When false or omitted, the response is unchanged from current behavior. |
| recvWindow | LONG | NO | |
| timestamp | LONG | YES |
- When
needBalanceDetailistrue, each wallet entry additionally includes anassetBalancesarray with per-asset holdings (asset,assetName,free,locked,freeze,withdrawing,btcValuation).
Response Example
[
{
"activate": true,
"balance": "6.238383",
"walletName": "Spot",
"assetBalances": [
{
"asset": "USDT",
"assetName": "TetherUS",
"free": "6.238383",
"locked": "0",
"freeze": "0",
"withdrawing": "0",
"btcValuation": "6.238383"
}
]
},
{
"activate": true,
"balance": "3.03055941",
"walletName": "Funding",
"assetBalances": [
{
"asset": "USDT",
"assetName": "TetherUS",
"free": "3",
"locked": "0",
"freeze": "0",
"withdrawing": "0",
"btcValuation": "3"
},
{
"asset": "1000CAT",
"assetName": "1000*Simons Cat",
"free": "18.981",
"locked": "0",
"freeze": "0",
"withdrawing": "0",
"btcValuation": "0.03055941"
}
]
},
{
"activate": true,
"balance": "2",
"walletName": "Cross Margin",
"assetBalances": [
{
"asset": "USDT",
"assetName": "TetherUS",
"free": "2",
"locked": "0",
"freeze": "0",
"withdrawing": "0",
"btcValuation": "2"
}
]
},
{
"activate": true,
"balance": "6",
"walletName": "Isolated Margin",
"assetBalances": [
{
"asset": "USDT",
"assetName": "TetherUS",
"free": "6",
"locked": "0",
"freeze": "0",
"withdrawing": "0",
"btcValuation": "6"
}
]
},
{
"activate": true,
"balance": "1",
"walletName": "USDⓈ-M Futures",
"assetBalances": [
{
"asset": "USDT",
"assetName": "TetherUS",
"free": "1",
"locked": "0",
"freeze": "0",
"withdrawing": "0",
"btcValuation": "1"
}
]
},
{
"activate": true,
"balance": "4.2569349",
"walletName": "COIN-M Futures",
"assetBalances": [
{
"asset": "BNB",
"assetName": "BNB",
"free": "0.00699475",
"locked": "0",
"freeze": "0",
"withdrawing": "0",
"btcValuation": "4.2569349"
}
]
},
{
"activate": true,
"balance": "1.00629158",
"walletName": "Earn",
"assetBalances": [
{
"asset": "USDT",
"assetName": "TetherUS",
"free": "1.00629158",
"locked": "0",
"freeze": "0",
"withdrawing": "0",
"btcValuation": "1.00629158"
}
]
},
{
"activate": true,
"balance": "2",
"walletName": "Options",
"assetBalances": [
{
"asset": "USDT",
"assetName": "TetherUS",
"free": "2",
"locked": "0",
"freeze": "0",
"withdrawing": "0",
"btcValuation": "2"
}
]
},
{
"activate": false,
"balance": "0",
"walletName": "Trading Bots",
"assetBalances": []
},
{
"activate": true,
"balance": "0",
"walletName": "Copy Trading",
"assetBalances": []
}
]
assetBalancesis only present whenneedBalanceDetail=trueis passed. When omitted orfalse, each wallet entry has onlyactivate,balance, andwalletNameas before.